### Constructor

# Atk NoOpObject new

#### Declaration [src]

    AtkObject*
    atk_no_op_object_new (
      GObject* obj
    )

#### Description [src]

Provides a default (non-functioning stub) `AtkObject`. Application maintainers should not use this method.

#### Parameters

`obj`

  Type: `GObject`

  A `GObject`.

  The data is owned by the caller of the function.

#### Return value

Type: `AtkObject`

A default (non-functioning stub) `AtkObject`.

The caller of the function takes ownership of the data, and is responsible for freeing it.